#!/bin/bash -l
#SBATCH --job-name=Sim
#SBATCH --output=Sim_Fritz.o%j
#SBATCH --partition=singlenode
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=21
#SBATCH --ntasks=21
#SBATCH --time=20:00:00
#SBATCH --constraint=hwperf
#SBATCH --export=NONE
#SBATCH --cpu-freq=2400000-2400000:performance

unset SLURM_EXPORT_ENV 

echo "Starting: $(date)"

export 

module load python intel/2022.1.0 intelmpi/2021.7.0 itac #likwid/5.2.2
module list



cd $SLURM_SUBMIT_DIR

rm result.csv
touch result.csv
echo "Rank, SOR, RB" >> result.csv

for i in $(seq 1 1 72)
do
    time="$i, "

    time+="$(srun --cpu-freq=2200000-2200000:performance -n $i ./exe-ICC poisson.par 1 | grep 'Solution took' | cut -c 15-)"
    time+=", "
    time+="$(srun --cpu-freq=2200000-2200000:performance -n $i ./exe-ICC poisson.par 2 | grep 'Solution took' | cut -c 15-)"
    time=${time//s}
    echo $time >> result.csv
done